QGIS Application - Bug report #14431
Cannot set Msys folder path in QGIS 2.14
2016-03-06 05:33 AM - Harel Dan

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:2.14.0 Regression?: No
Operating System: windows Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22410
Description

In QGIS 2.14.0 standalone version, setting the GRASS provider requires manually setting the GRASS and MSYS folder paths from the
Program Files installation, Yet there is no MSYS folder in the QGIS Essen\\apps directory

Related issues:
Duplicated by QGIS Application - Bug report # 14654: Qgis 2.14 - Processing, ... Closed 2016-04-10

Associated revisions

Revision 525194dc - 2016-04-10 10:31 AM - Alexander Bruy

[processing] don't ask for MSYSS folder for GRASS7 (fix #14431)

Revision 328000e0 - 2016-04-13 02:06 PM - Alexander Bruy

[processing] don't ask for MSYS folder for GRASS7 (fix #14431)

(cherry picked from commit 525194dc0b0db98ece343539f3cd5b7540f2a020)

History

#1 - 2016-03-06 06:04 AM - Anita Graser

- Category set to Build/Install

- Operating System set to windows

#2 - 2016-03-06 08:28 AM - Josiah Wahlrab

On Mac OS 10.10.5 (Yosemite), Kyngchaos QGIS 2.14.0-1, and I'm also not able to locate MSYS. | believe it should be in

/Applications/QGIS.app/Contents/. | am able to locate Grass: /Applications/QGIS.app/Contents/MacOS/grass/.

#3 - 2016-04-09 09:28 AM - Giovanni Manghi
- Assignee set to Victor Olaya
- Category changed from Build/Install to Processing/Core

see also #14647

#4 - 2016-04-09 09:42 AM - Paolo Cavallini
http://www.kyngchaos.com/software/qgis

Apparently msys is no longer required, so it should not be requested.

#5 - 2016-04-10 01:33 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"525194dc0b0db98ece343539f3cd5b7540f2a020".

#6 - 2016-04-10 01:34 AM - Alexander Bruy
- Status changed from Closed to Feedback

Fixed for GRASS 7 in master. As GRASS 6 still installed with MSYS | did not change it for GRASS 6.
If this will work fine, I'll backport it also to 2.14

#7 - 2016-04-13 05:08 AM - Alexander Bruy
- Status changed from Feedback to Closed

Fixed in changeset commit:"328000e0a0f86f20873577699aaad3ecbde25c5f".

2025-05-18 22



